body {
 font-family: Arial, sans-serif;
 /*background-color: #e5ddd5;*/
 display: flex;
 justify-content: center;
 align-items: center;
 height: 100vh;
 margin: 0;
}

.chat-container {
 background: white;
 border-radius: 10px;
 box-shadow: 0 2px 10px rgba(0,0,0,0.2);
 width: 350px;
 height: 350px;
 display: flex;
 flex-direction: column;
}

.chat-header {
 text-align: center;
 font-weight: bold;
 padding: 10px;
 border-bottom: 1px solid #ccc;
}

.message-list {
 flex: 1;
 padding: 10px;
 overflow-y: auto;
 list-style: none;
 margin: 0;
 display: flex;
 flex-direction: column;
}

.message {
 margin: 5px 0;
 padding: 8px 12px;
 border-radius: 20px;
 max-width: 70%;
 word-wrap: break-word;
}

 /* messaggio ricevuto dal server o bot */
 .message.right {
  background-color: #dcf8c6;
  align-self: flex-end;
 }

 /* messaggio inviato dal client */
 .message.left {
  background-color: #dae2ed;
  align-self: flex-start;
 }

.input-area {
 display: flex;
 border-top: 1px solid #ccc;
 padding: 10px;
}

 .input-area input {
  flex: 1;
  padding: 8px;
  border-radius: 20px;
  border: 1px solid #ccc;
 }

 .input-area button {
  margin-left: 10px;
  padding: 8px 16px;
  border: none;
  border-radius: 20px;
  background-color: #128c7e;
  color: white;
  cursor: pointer;
 }

  .input-area button:hover {
   background-color: #075e54;
  }

.hidden {
 display: none;
}

/* LOGIN BOX */
.login-box {
 /* background-color: white;
 border-radius: 10px;
 box-shadow: 0 3px 12px rgba(0,0,0,0.1);
 padding: 20px;
 width: 300px;
 text-align: center;
*/
 background: white;
 border-radius: 10px;
 box-shadow: 0 2px 10px rgba(0,0,0,0.2);
 width: 350px;
 height: 350px;
 text-align: center;
 /* display: flex;
 flex-direction: column;
*/
}

 .login-box input {
  width: 80%;
  padding: 10px;
  border-radius: 8px;
  border: 1px solid #ccc;
  margin-bottom: 10px;
 }

 .login-box button {
  background-color: #9dc3ab;
  color: white;
  border: none;
  padding: 10px 20px;
  border-radius: 8px;
  cursor: pointer;
  transition: 0.2s;
 }

  .login-box button:hover {
   background-color: #1ebe5c;
  }

.hidden {
 display: none;
}
